Bug 1093336 - date(1): -u is much portable than --utc
Summary: date(1): -u is much portable than --utc
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: cmake-fedora
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ding-Yi Chen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-01 12:41 UTC by OBATA Akio
Modified: 2015-03-23 00:12 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-03-23 00:12:50 UTC


Attachments (Terms of Use)

Description OBATA Akio 2014-05-01 12:41:23 UTC
Description of problem:

"date --utc" is used in Modules/DateTimeFormat.cmake, but "--utc" option is not
portable, "-u" is the POSIX standard way and portable.

Version-Release number of selected component (if applicable):

1.3.0 (and git-master)

How reproducible:

Try to use with date command other than coreutils.
For example, NetBSD (and probably other *BSD, Solaris, ...)
I don't know "--utc" is supported other than coreutils.

Steps to Reproduce:
1. On NetBSD 
2. Built ibus-chewing, ibus-table-chinses, using cmake-fedora
3.

Actual results:

date: unknown option -- -

Expected results:

no error

Additional info:

--- Modules/DateTimeFormat.cmake.orig   2012-07-13 05:44:02.000000000 +0000
+++ Modules/DateTimeFormat.cmake
@@ -28,7 +28,7 @@ IF(NOT DEFINED _DATE_TIME_FORMAT_CMAKE_)
        IF(_locale)
            SET(ENV{LC_ALL} ${_locale})
        ENDIF(_locale)
-       COMMAND_OUTPUT_TO_VARIABLE(${date_var} date --utc "${format}")
+       COMMAND_OUTPUT_TO_VARIABLE(${date_var} date -u "${format}")
     ENDMACRO(TODAY date_var format)

     TODAY(TODAY_CHANGELOG "+%a %b %d %Y" "C")

Comment 1 Fedora Update System 2014-08-15 11:23:47 UTC
cmake-fedora-2.1.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cmake-fedora-2.1.3-1.fc20

Comment 2 Fedora Update System 2014-08-15 11:23:58 UTC
cmake-fedora-2.1.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cmake-fedora-2.1.3-1.fc19

Comment 3 Fedora Update System 2014-08-15 11:24:06 UTC
cmake-fedora-2.1.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cmake-fedora-2.1.3-1.el6

Comment 4 Fedora Update System 2014-08-15 11:24:17 UTC
cmake-fedora-2.1.3-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cmake-fedora-2.1.3-1.el5

Comment 5 Fedora Update System 2014-08-26 06:02:40 UTC
cmake-fedora-2.2.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cmake-fedora-2.2.2-1.fc20

Comment 6 Fedora Update System 2014-08-26 06:02:48 UTC
cmake-fedora-2.2.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cmake-fedora-2.2.2-1.fc19

Comment 7 Fedora Update System 2014-08-26 06:02:57 UTC
cmake-fedora-2.2.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cmake-fedora-2.2.2-1.el5

Comment 8 Fedora Update System 2014-08-26 06:03:06 UTC
cmake-fedora-2.2.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cmake-fedora-2.2.2-1.el6

Comment 9 Fedora Update System 2014-08-27 01:12:36 UTC
cmake-fedora-2.3.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cmake-fedora-2.3.0-1.fc20

Comment 10 Fedora Update System 2014-08-27 01:12:43 UTC
cmake-fedora-2.3.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cmake-fedora-2.3.0-1.fc19

Comment 11 Fedora Update System 2014-08-27 01:12:52 UTC
cmake-fedora-2.3.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cmake-fedora-2.3.0-1.el6

Comment 12 Fedora Update System 2014-08-27 01:12:59 UTC
cmake-fedora-2.3.0-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cmake-fedora-2.3.0-1.el5

Comment 13 Fedora Update System 2014-09-09 22:18:37 UTC
cmake-fedora-2.3.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2014-09-09 22:23:13 UTC
cmake-fedora-2.3.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2014-09-24 03:45:38 UTC
cmake-fedora-2.3.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2014-09-24 03:46:44 UTC
cmake-fedora-2.3.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Jaroslav Reznik 2015-03-03 17:13:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22


Note You need to log in before you can comment on or make changes to this bug.